# RPMDEP.

## Files

file | depends.c
file | depends.h
| Structures used for dependency checking.

file | rpmlib.h
file | rpmlibprov.c

## Data Structures

struct | tsortInfo_s
| Dependncy ordering information. More...
struct | availablePackage
| Info about a single package to be installed. More...
struct | availableIndexEntry
| A single available item (e.g. More...
struct | availableIndex
| Index of all available items. More...
struct | fileIndexEntry
| A file to be installed/removed. More...
struct | dirInfo_s
| A directory to be installed/removed. More...
struct | availableList_s
| Set of available packages, items, and directories. More...
struct | transactionElement_s
| A single package instance to be installed/removed atomically. More...
struct | rpmTransactionSet_s
| The set of packages to be installed/removed atomically. More...
struct | problemsSet_s
| Problems encountered while checking dependencies. More...

## Typedefs

typedef dirInfo_s * | dirInfo
| A directory to be installed/removed.
typedef availableList_s * | availableList
| Set of available packages, items, and directories.
typedef problemsSet_s * | problemsSet
| Problems encountered while checking dependencies.

## Functions

int | headerMatchesDepFlags (Header h, const char *reqName, const char *reqEVR, int reqFlags)
| Compare package name-version-release from header with dependency, looking for overlap.

## Typedef Documentation

typedef struct availableList_s * availableList

Set of available packages, items, and directories.

typedef struct dirInfo_s * dirInfo

A directory to be installed/removed.

typedef struct problemsSet_s * problemsSet

Problems encountered while checking dependencies.

## Function Documentation

int headerMatchesDepFlags | ( | Header | h,
|  | const char * | reqName,
|  | const char * | reqEVR,
|  | int | reqFlags |
| ) |  |  |

Compare package name-version-release from header with dependency, looking for overlap.

Deprecated:
  Remove from API when obsoletes is correctly eliminated.

Parameters:

  | h | header
  | reqName | dependency name
  | reqEVR | dependency [epoch:]version[-release]
  | reqFlags | dependency logical range qualifiers

Returns:
  1 if dependency overlaps, 0 otherwise

Definition at line 664 of file depends.c.

References alloca(), headerGetEntryMinMemory(), headerNVR(), name, rpmRangesOverlap(), RPMSENSE_EQUAL, RPMSENSE_SENSEMASK, RPMTAG_EPOCH, and stpcpy().

Referenced by handleOneTrigger(), and rpmtransAddPackage().